Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/user-management/users/{userId}

Prev Next
Get
/public/v1/user-management/users/{userId}

Retrieves a single user by their unique identifier, including their roles, locations, and location group assignments

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Path parameters
userId
stringRequired

The unique identifier of the user to retrieve (UUID format)

Responses
200

User

Expand All
object
id
string (uuid)

Unique identifier of the user.

fullName
string
username
string
defaultLocation
object (R365.Netcore.Public.Contracts.User.Model.Location)
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

mobileNumber
string
email
string
inactive
boolean

Indicates whether the user is inactive.

allLocationsAccess
boolean
allBrandFranchiseeLocationAccess
boolean
allReportsAccess
boolean
canGrantAccessBeyondPersonalLevel
boolean
userRoles
Array of object (R365.Netcore.Public.Contracts.User.Model.Role)
object
id
string (uuid)

Unique identifier of the role.

name
string

Display name of the role.

reportRoles
Array of object (R365.Netcore.Public.Contracts.User.Model.Role)
object
id
string (uuid)

Unique identifier of the role.

name
string

Display name of the role.

locations
Array of object (R365.Netcore.Public.Contracts.User.Model.Location)
object
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

externalLocations
Array of object (R365.Netcore.Public.Contracts.User.Model.Location)
object
id
string (uuid)

Unique identifier of the location.

name
string

Display name of the location.

number
string

Number assigned to the location.

subGroupValues
Array of object (R365.Netcore.Public.Contracts.User.Model.OptionWithLocationGroup)
object
id
integer (int32)

Unique identifier of the option with location group.

subGroupValue
string | null
locationGroup
object (R365.Netcore.Contracts.Users.Models.EntityReferenceLongGet)
id
integer (int64)

Unique identifier of the entity reference long.

name
string | null

Display name of the entity reference long.